package com.brilliance.isc.swift.objmtconvert.model.busvalidator.mt7xx;


import com.brilliance.isc.swift.objmtconvert.model.AbsMTValidator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;
import com.brilliance.isc.swift.objmtconvert.util.Language;
import com.prowidesoftware.swift.model.mt.mt7xx.MT705;


import java.util.Objects;

/**
 * MT750
 * @author wanggang
 * @Date 2023-3-3
 */
public class MT705Validator extends AbsMTValidator {

    public MT705Validator(String mtStr, MtResult mtResult)
    {
        super(mtStr,mtResult);
    }

    @Override
    public void bussinessValidator() {
        //  MtResult mtResult = getMtResult();
        MT705 mt705= (MT705)this.getAbstractMT();

        if (!Objects.isNull(mt705.getField44C()) && !Objects.isNull(mt705.getField44D())){
            mtResult.addDescription(Language.getLanguage("MT705_C1","【MT705】"));
        }
        //   return  mtResult;
    }

}
